1. Форумы
  2. CloudLinux и панели управления
  3. CloudLinux и cPanel
  1. Платок Шеннона
  2. Вторник, 13 июня 2017
  3. Подписка по электронной почте
Итак, я предопределю этот вопрос с помощью уровня знаний CloudLinux / Linux. Это то, как я описываю большинство моих клиентов ... «Обычно знает достаточно, чтобы выполнить свою работу, но также достаточно, чтобы быть опасным». С учетом сказанного я понимаю, что я не знаю все это и постоянно учусь. ... обычно от исследований, а затем от проб и ошибок. Я ничего не возьму лично. Мне бы хотелось узнать про них по этим вопросам.

Из исследований, которые я сделал, кажется, что MPM_Event может обрабатывать больше потоков, чем MPM_Worker. Если это так, почему рабочий компилируется в профилях CL Profiles vs Event? И, во-вторых, почему бы не увидеть много ссылок на Event в документах CL?

Таким образом, у меня был MPM_Event, установленный в новом окне CL для клиента. Он просто не работал до уровня, и у него всегда были разные икоты. Я обновил и скомпилировал с помощью MPM_Worker. Проблемы с производительностью, похоже, были исправлены, что было замечательно, но у меня появилось больше вопросов.

Поскольку я пошел с Рабочем, я подумал, что буду играть в нем безопасно и перекомпилировать с настроенным профилем CL в EasyApache4. К сожалению, я не могу понять, как исправить ошибку «Этот профиль включает следующие пакеты, которые не поддерживаются на этом сервере: php56-php-debuginfo». Я прочитал документацию cPanel и вижу, что (если я это помню правильно) только 1 DSO может быть установлен одновременно, и именно поэтому я вижу эту ошибку. Я попытался следовать их руководству по удалению, но я не могу понять это. У меня есть php5.5, 5.6, 7.0 и 7.1 на этом поле. У меня также есть lsapi как мой обработчик php, но также перечислены cgi и suphp. Что мне нужно удалить, чтобы создать один из профилей CL по умолчанию и удалить эту ошибку?

При инициализации профилем CL по умолчанию у CL есть предпочтение / рекомендация ZendGuard против OpCache? Если есть выбор, есть ли какие-либо документы, объясняющие преимущества одного над другим с помощью установки CL? Я уверен, что ответ есть, но я могу найти статьи, которые были в основном до 2016. По этой причине я не чувствовал 100% удобного чтения их и полагая, что они были 100% точными сегодня в 2017.

И я не хочу заходить слишком далеко, но может ли mod_PageSpeed ​​быть включенным в какой-то момент в сборках? Я могу настроить его достаточно легко, но это один из тех модов, который я бы чувствовал 1000x более комфортным, если команда в CL изменила ситуацию для автозапуска / установки. Я был бы в миллион раз лучше, чтобы все играли хорошо со всеми остальными (со ссылкой на скрипты, моды и расширения).
Вложения (1)
Оценить этот пост:
Принято ответа
  1. 15.06.2017 12:06:17
  2. # Permalink
Богдан Принято ответа
Сообщений: 709
Присоединился: 26.06.2013
0
Голосов
расстегивать
Здравствуйте,

Я уточнил вопросы с нашими разработчиками, и вот ответы:
1. Мы следим за тем же профилем EA4, что и cPanel, в целом это стандартный + mod_hostinglimits + mod_lsapi. Если cPanel добавит профиль с mpm-событием, мы предоставим его также нашим пакетом.

2. Php56-php-debuginfo - это действительно устаревший пакет, мы удалим его из пакета ea-profiles-cpanel и, скорее всего, сегодня выйдем на бета-версию.

3. Я беспокоюсь, что нет рекомендаций относительно opcache и ZendGuard.

4. Добавление mod_pagespeed также зависит в основном от cPanel, если они добавят его - мы будем следовать им и к тому же.
  1. 15.06.2017 21:06:40
  2. # 1
Платок Шеннона Принято ответа
Сообщений: 8
Присоединился: 05.06.2017
0
Голосов
расстегивать
ха. тогда хорошо. может быть, я не чувствую себя таким глупым, чтобы задать вопрос тогда ;)
  • Страница:
  • 1


Там нет ответов, сделанные на этот пост пока нет.
Будьте одним из первых, чтобы ответить на этот пост!
гость
Отправить Ваш ответ
Загрузить файлы или изображения для обсуждения этого вопроса, нажав на кнопку загрузки ниже. опоры GIF, JPG, PNG, ZIP, RAR, PDF
• Вставить • Удалить Загрузка файлов (Максимальный размер файла: 2 MB)
Защитный код
Чтобы защитить сайт от ботов и несанкционированных сценариев, мы требуем, чтобы вы ввели коды капчи ниже, прежде чем отправить свой вопрос.
Отправляя ответ, вы соглашаетесь с Cloudlinux Политика Kонфиденциальности